# -*- coding: utf-8 -*-
"""
AMD_Tools3の関数「PutCSV_Map」の利用法を理解するためのサンプルプログラム

PutCSV_Mapは2次元の浮動小数点配列をCSV形式のファイルで出力する関数。
2次元の浮動小数点配列をCSV形式のファイルで出力する関数。
書式：
    PutCSV_Map(Var, lat, lon, filename='result.csv')
引数(必須)：
     Var：出力すべき2次元の配列
     lat：緯度の見出しとして使用される一次元配列。
     lon：経度の見出しとして使用される一次元配列。
引数(必要に応じ指定)：
     filename：引数に「filename='fairun_no_namae.csv'」として文字列を与えると、
         ファイルがこの名前で出力される。これを指定しない場合は、デフォルトの
         ファイル名「result.csv」が用いられる。
 戻り値：なし

　このサンプルプログラムでは、データ配信サーバーからデータを取り出してCSVファイルに出力し、関数の使用
法を説明します、
　このサンプルプログラムを実行するには、Python統合開発環境Spyderのエディタペインにプログラムファイル
 を読み込んでから実行ボタン(三角ボタン）をクリックしてください。

Hiroyuki OHNO, 2017.02.08
"""
import AMD_Tools3 as AMD


# 取得するデータの設定
element = 'TMP_mea'                         #気象要素の指定。TMP_meaは日平均気温を意味します。
timedomain = [ "2016-01-01", "2016-01-01" ] #期間の設定。
lalodomain = [ 32.7, 34.37, 130.99, 133.05] #領域の設定。佐田岬半島の先端周辺です。

# 気象データの取得
Msh,tim,lat,lon = AMD.GetMetData(element,timedomain,lalodomain)
Msh = Msh[0,:,:]	# データの整形(3次元→2次元への変更)。

# 気象データの書き出し
AMD.PutCSV_Map(Msh, lat, lon, filename=element+".csv")
"""
　この関数は、特に指定しない限り、「result.csv」というファイル名で結果を出力します。データの1行目に
は経度が、一列目には緯度が記録され、各メッシュ値が対応する場所に記録されます。
このファイルをMS-Excelで開き、50%程度の倍率で表示させると、佐田岬半島周辺の海陸分布が
数値で感じ取れると思います。 
"""
